class TestVerify {
    /* 用户名校验 */
    userName(name) {
        if (name == "") {
            wx.showToast({
                title: '用户名不可为空!',
                icon: 'none'
            })
            return false;
        } else if (name.length < 2 || name.length > 8) {
            wx.showToast({
                title: '用户名在6-8位之间',
                icon: 'none'
            })
            return false;
        };
        return true;
    }

    /* 手机号校验 */
    phoneNumber(number, title) {
        //校验格式 /^(0|86\17951)?(13[0-9]|15[0123456789]|17[678]|18[0-9]|14[57])[0-9]{8}$/
        const regMobile = /^[1][3,4,5,6,7,8,9][0-9]{9}$/;
        if (!regMobile.test(number)) {
            if (title) wx.showToast({
                title: '请输入正确手机号码',
                icon: 'none',
            })
            return false;
        }
        return true;
    }

    /* 必填项目/附件是否上传校验 */
    required(value, title) {
        if (!value || value.length < 1) {
            if (title) wx.showToast({
                title: title,
                icon: 'none'
            })
            return false;
        }
        return true;
    }

    /* 剔除特殊字符 */
    Eliminate(value) {
        if (value != '') {
            const pattern = /[`~!#$^&*()=|{}':;',\\\[\]\<>\/?~！#￥……&*（）——|{}【】'；：""'。，、？\s]/g;
            return value.replace(pattern, "");
        };
        return "";
    }

    /* 附件格式，大小校验 */
    verifyUploader(data) {
        const {
            file
        } = data;
        //附件格式
        const typeList = ['jpg', 'jpge', 'png', 'pdf']
        const imgType = file.url.split(".");
        const isType = typeList.some((value) => value == imgType[imgType.length - 1]);
        if (!isType) return "文件格式不符合要求";
        //附件大小，不可超过10M
        if (file.size > 10485760) return "文件大小需小于10M"
        return "发送请求";
    }
}
export {
    TestVerify
}